﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ScaffoldingExample.Models;

namespace QuickForm
{
    public class QuickFormProject
    {

        public const string ErrorText_RepeatValue = "Такое значение уже существует, повторный ввод значения невозможен";

        public static int DTListDisplayLength
        {
            get
            {
                int Result = DB.SETTINGS.SettingGridPageSize;
                return Result;
            }
        }

        public static Dictionary<string, QuickFormModel> Data = new Dictionary<string, QuickFormModel>()
        {
            {"Processor", new QuickFormModel()
                {
                    ControllerName = "Processor",
                    ActionNameCreate = "Create",
                    ActionNameEdit = "Edit",
                    ActionNameDelete = "Delete", 
                    TitleCreate = "Добавление",
                    TitleEdit = "Редактирование", 
                    TitleDelete = "Удаление",
                    DataTypeName_ForIndex = "Справочник процессоров",
                    DataTypeName_ForCreate = "процессора",
                    DataTypeName_ForEdit = "процессора",
                    DataTypeName_ForDelete = "о процессоре"
                }
            },

            {"Computer", new QuickFormModel()
                {
                    ControllerName = "Computer",
                    ActionNameCreate = "Create",
                    ActionNameEdit = "Edit",
                    ActionNameDelete = "Delete", 
                    TitleCreate = "Добавление",
                    TitleEdit = "Редактирование", 
                    TitleDelete = "Удаление",
                    DataTypeName_ForIndex = "Список компьютеров",
                    DataTypeName_ForCreate = "компьютера",
                    DataTypeName_ForEdit = "компьютера",
                    DataTypeName_ForDelete = "о компьютере"
                }
            },

            {"Setting", new QuickFormModel()
                {
                    ControllerName = "Setting",
                    ActionNameCreate = "Create",
                    ActionNameEdit = "Edit",
                    ActionNameDelete = "Delete", 
                    TitleCreate = "Добавление",
                    TitleEdit = "Редактирование", 
                    TitleDelete = "Удаление",
                    DataTypeName_ForIndex = "Настройки",
                    DataTypeName_ForCreate = "настройки",
                    DataTypeName_ForEdit = "настройки",
                    DataTypeName_ForDelete = "о настройке"
                }
            }

        };

    }
}