﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace QuickForm
{
    //Для того чтобы добавление работало корректно поля в БД должны быть nullable
    //проверки нужно делать на уровне аннотаций данных

    /// <summary>
    /// Данные о наименовании форм
    /// </summary>
    public class QuickFormData
    {
        public const string Form_Index = "QuickForm_Form_Index";
        public const string Form_Index_Script = "QuickForm_Form_Index_Script";
        public const string Form_Index_ScriptLoad = "QuickForm_Form_Index_ScriptLoad";

        public const string Form_Create = "QuickForm_Form_Create";
        public const string Form_Edit = "QuickForm_Form_Edit";
        public const string Form_Delete = "QuickForm_Form_Delete";

        public const string Control_SaveButton = "QuickForm_Control_SaveButton";
        public const string Partial_DataFields = "DataFields";
        public const string Partial_DataFieldsDetails = "DataFieldsDetails";

        public static ButtonHTMLAttribute CommandButtonStyle = new ButtonHTMLAttribute()
        { 
            @class = "btn btn-primary btn-form-height"
        };
    }

    /// <summary>
    /// Для определения кнопок в представлениях
    /// </summary>
    public class ButtonHTMLAttribute
    {
        public string @class { get; set; }
    }

}